## com.google.gwt.user.client.ui
Interface SourcesChangeEvents

All Known Implementing Classes:
  ListBox, PasswordTextBox, SuggestBox, TextArea, TextBox, TextBoxBase

Deprecated. we have now separated dom and logical change events. Use `HasChangeHandlers` if the change listener was triggered by a dom change event or `HasValueChangeHandlers` if it was based on a logical event

    @Deprecated
    public interface SourcesChangeEvents

A widget that implements this interface sources the events defined by the `ChangeListener` interface.

Method Summary
`void` | `addChangeListener(ChangeListener listener)` Deprecated. use `addChangeHandler` or `addValueChangeHandler` instead
`void` | `removeChangeListener(ChangeListener listener)` Deprecated. Use the `HandlerRegistration#removeHandler` method on the object returned by `#addChangeHandler` instead

Method Detail

### addChangeListener

    @Deprecated
    void addChangeListener(ChangeListener listener)

  Deprecated. use `addChangeHandler` or `addValueChangeHandler` instead

  Adds a listener interface to receive change events.

  Parameters:
    `listener` - the listener interface to add

### removeChangeListener

    @Deprecated
    void removeChangeListener(ChangeListener listener)

  Deprecated. Use the `HandlerRegistration#removeHandler` method on the object returned by `#addChangeHandler` instead

  Removes a previously added listener interface.

  Parameters:
    `listener` - the listener interface to remove